# Interface PerMessageDeflateOptions

interface PerMessageDeflateOptions {
clientMaxWindowBits?: number;
clientNoContextTakeover?: boolean;
concurrencyLimit?: number;
serverMaxWindowBits?: number;
serverNoContextTakeover?: boolean;
threshold?: number;
zlibDeflateOptions?: {
chunkSize?: number;
dictionary?: Buffer | Buffer[] | DataView;
finishFlush?: number;
flush?: number;
info?: boolean;
level?: number;
memLevel?: number;
strategy?: number;
windowBits?: number;
};
zlibInflateOptions?: ZlibOptions;
}

- Defined in node_modules/@types/ws/index.d.ts:263

#####
Index

### Properties

clientMaxWindowBits?
clientNoContextTakeover?
concurrencyLimit?
serverMaxWindowBits?
serverNoContextTakeover?
threshold?
zlibDeflateOptions?
zlibInflateOptions?

## Properties

### `Optional` clientMaxWindowBits

clientMaxWindowBits?: number

- Defined in node_modules/@types/ws/index.d.ts:267

### `Optional` clientNoContextTakeover

clientNoContextTakeover?: boolean

- Defined in node_modules/@types/ws/index.d.ts:265

### `Optional` concurrencyLimit

concurrencyLimit?: number

- Defined in node_modules/@types/ws/index.d.ts:281

### `Optional` serverMaxWindowBits

serverMaxWindowBits?: number

- Defined in node_modules/@types/ws/index.d.ts:266

### `Optional` serverNoContextTakeover

serverNoContextTakeover?: boolean

- Defined in node_modules/@types/ws/index.d.ts:264

### `Optional` threshold

threshold?: number

- Defined in node_modules/@types/ws/index.d.ts:280

### `Optional` zlibDeflateOptions

zlibDeflateOptions?: {
chunkSize?: number;
dictionary?: Buffer | Buffer[] | DataView;
finishFlush?: number;
flush?: number;
info?: boolean;
level?: number;
memLevel?: number;
strategy?: number;
windowBits?: number;
}

#### Type declaration

- ##### `Optional` chunkSize?: number

- ##### `Optional` dictionary?: Buffer | Buffer[] | DataView

- ##### `Optional` finishFlush?: number

- ##### `Optional` flush?: number

- ##### `Optional` info?: boolean

- ##### `Optional` level?: number

- ##### `Optional` memLevel?: number

- ##### `Optional` strategy?: number

- ##### `Optional` windowBits?: number

- Defined in node_modules/@types/ws/index.d.ts:268

### `Optional` zlibInflateOptions

zlibInflateOptions?: ZlibOptions

- Defined in node_modules/@types/ws/index.d.ts:279